<template>
    <div class="content-block">
      <div class="container">
        <div class="margin-top-50"></div>
        <div class="row">
          <div class="columns twelve central-column my-accounts">
            <div class="content" style="position: relative">
              <div v-if="blockViewEdit" class="edit-block-overlay"></div>
              <h3 class="main-header">Мои счета</h3>
              <div class="warning-block" v-show="isActivated" style="font-weight: normal">Редактирование счетов на момент рассмотрения заявки запрещено</div>
              <div :class="{disabledBlock: isActivated}">
                  <template v-if="$store.getters.getAccountsStatus !== 'firstLoad'">
                      <div class="white-block" ref="main">
                        <div class="padding">
                          <h3>Основной счет</h3>
                        </div>
                        <hr>
                        <div :class="{blinking: requestStatus === 'primary-is-changed'}">
                          <card :card="main"></card>
                        </div>
                      </div>
                    <div class="white-block">
                      <div class="padding header-title">
                        <h3>Мои карты</h3>
                        <button @click="$modal.show('new-card')" class="header-button white">Привязать новую карту</button>
                      </div>
                      <hr>
                      <card v-for="acc in $accounts.filter((a) => a.type === 1 && !a.main)"
                            :key="acc.id"
                            :ref="'account_'+acc.id"
                            :card="acc" ></card>
                    </div>
                    <div class="white-block">
                      <div class="padding header-title">
                        <h3>Другие каналы выдачи</h3>
                        <button @click="$modal.show('new-wallet')" class="header-button white">Привязать Яндекс.Деньги</button>
                      </div>
                      <hr>
                      <card v-for="acc in $accounts.filter((/**ACCOUNT a**/a) => a.type !== 1 && !a.main)"
                            :key="acc.id"
                            :ref="'account_'+acc.id"
                            :card="acc" ></card>
                    </div>
                  </template>
                  <!--<vuex-error-block :errors="['mainErrorBlock']"></vuex-error-block>-->
                  <div ref="errorBlock"></div>
              </div>
            </div>
          </div>


          <!--Тестовая модалка-->
          <!--<modal name="notice-debt"-->
                 <!--class="arcticmodal-container full-viewport"-->
                 <!--width="600"-->
                 <!--height="auto"-->
                 <!--:adaptive=true-->
                 <!--@before-open="beforeOpen"-->
                 <!--@before-close="beforeClose">-->
            <!--<div class="popup">-->
              <!--<div class="popup__wrapper">-->
                <!--<text-of-debt></text-of-debt>-->
              <!--</div>-->
            <!--</div>-->
          <!--</modal>-->
          <!--Тестовая модалка-->


          <!--<personal-stake-block></personal-stake-block>-->
          <new-wallet></new-wallet>
          <new-card></new-card>
        </div>
      </div>
      <delete-account></delete-account>
    </div>
</template>

<script>
  import Card from '@/pages/MyAccounts/Card'
  import Loader from '@/base/Loader'
  import DeleteAccount from './DeleteAccount'
  import ErrorHandleMixin from '@/mixins/ErrorHandleMixin'
  import NewWallet from '@/components/Modals/NewWallet'
  import NewCard from '@/components/Modals/NewCard'
  import {getImgFilename, getPaySystemText} from '@/utils/mappings/accounts'
  import {mapGetters} from 'vuex'
  import BlockingForms from '@/mixins/BlockingForms'
  import TextOfDebt from '@/pages/NoticeOfDebt/TextOfDebt'

export default {
    name: 'my-accounts-index',
    data () {
      return {
      }
    },
    mixins: [
      ErrorHandleMixin,
      BlockingForms
    ],
    components: {
      // VuexErrorBlock,
      Card,
      Loader,
      DeleteAccount,
      NewWallet,
      NewCard,
      TextOfDebt
    },
    computed: {
      main () {
        return this.$accounts.find(a => a.main)
      },
      requestStatus () {
        return this.$store.getters.getAccountsStatus
      },
      ...mapGetters(['blockViewEdit'])
    },
    mounted () {
		this.$modal.show('notice-debt')
    }
  }
</script>

<style scoped>
  .padding {
    position: relative;
  }

  .header-button {
    margin: 0;
    margin-right: 0px;
    position: absolute;
    top: 15px;
    right: 30px;
  }

  .blinking {
    animation: blink .5s ease-in;
  }
  @keyframes blink {
    0% {
      background-color: #fff;
    }
    100% {
      background-color: #fff;
    }
  }
</style>
